javax.swing.text

## Class DefaultHighlighter.DefaultHighlightPainter

- java.lang.Object
- - javax.swing.text.LayeredHighlighter.LayerPainter
  - - javax.swing.text.DefaultHighlighter.DefaultHighlightPainter

- All Implemented Interfaces:
    Highlighter.HighlightPainter
  Enclosing class:
    DefaultHighlighter

      public static class DefaultHighlighter.DefaultHighlightPainter
      extends LayeredHighlighter.LayerPainter

  Simple highlight painter that fills a highlighted area with a solid color.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHighlighter.DefaultHighlightPainter(Color c)` Constructs a new highlight painter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getColor()` Returns the color of the highlight.
    `void` | `paint(Graphics g, int offs0, int offs1, Shape bounds, JTextComponent c)` Paints a highlight.
    `Shape` | `paintLayer(Graphics g, int offs0, int offs1, Shape bounds, JTextComponent c, View view)` Paints a portion of a highlight.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHighlighter.DefaultHighlightPainter

          public DefaultHighlighter.DefaultHighlightPainter(Color c)

      Constructs a new highlight painter. If `c` is null, the JTextComponent will be queried for its selection color.
      Parameters:
        `c` - the color for the highlight

  - ### Method Detail

    - #### getColor

          public Color getColor()

      Returns the color of the highlight.
      Returns:
        the color

    - #### paint

          public void paint(Graphics g,
                   int offs0,
                   int offs1,
                   Shape bounds,
                   JTextComponent c)

      Paints a highlight.
      Parameters:
        `g` - the graphics context
        `offs0` - the starting model offset >= 0
        `offs1` - the ending model offset >= offs1
        `bounds` - the bounding box for the highlight
        `c` - the editor

    - #### paintLayer

          public Shape paintLayer(Graphics g,
                         int offs0,
                         int offs1,
                         Shape bounds,
                         JTextComponent c,
                         View view)

      Paints a portion of a highlight.
      Specified by:
        `paintLayer` in class `LayeredHighlighter.LayerPainter`
      Parameters:
        `g` - the graphics context
        `offs0` - the starting model offset >= 0
        `offs1` - the ending model offset >= offs1
        `bounds` - the bounding box of the view, which is not necessarily the region to paint.
        `c` - the editor
        `view` - View painting for
      Returns:
        region drawing occured in

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.